## mayavi2 4.0.0

=== docs/Makefile ===
# A Thin Wrapper for the Makefiles for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	make -f MakefileMayavi html
	@echo
	make -f MakefileTVTK html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/."

dirhtml:
	make -f MakefileMayavi dirhtml
	@echo
	make -f MakefileTVTK dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	make -f MakefileMayavi pickle
	@echo
	make -f MakefileTVTK pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	make -f MakefileMayavi json
	@echo
	make -f MakefileTVTK json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	make -f MakefileMayavi htmlhelp
	@echo
	make -f MakefileTVTK htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	make -f MakefileMayavi qthelp
	@echo
	make -f MakefileTVTK qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/metasci.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/metasci.qhc"

latex:
	make -f MakefileMayavi latex
	@echo
	make -f MakefileTVTK latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	make -f MakefileMayavi changes
	@echo
	make -f MakefileTVTK changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	make -f MakefileMayavi linkcheck
	@echo
	make -f MakefileTVTK linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	make -f MakefileMayavi doctest
	@echo
	make -f MakefileTVTK doctest
	@echo
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mayavi2 3.3.2

=== debian/changelog ===
mayavi2 (3.3.2-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Add versioned depends on python-vtk (>= 5.4.2-5) (Closes: #550635)

 -- Varun Hiremath <varun@debian.org>  Thu, 03 Jun 2010 01:57:56 -0400

mayavi2 (3.3.1-1) unstable; urgency=low

  * New upstream release
  * Remove patches/* -- all merged upstream

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Feb 2010 14:50:10 -0500

mayavi2 (3.3.0-2) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - removed Ondrej from Uploaders: thanks for your work!

  [ Varun Hiremath ]
  * debian/control:
    - Depends: replace libvtk5.2 with libvtk5.4 (Closes: #568471)
    - Bump Standards-Version to 3.8.4
  * debian/patches:
    - Remove wxversion.diff -- merged upstream
  * Switch to source format 3.0 (quilt)
    - Add source/format file
  * debian/rules:
    - Remove references to quilt, not needed anymore
    - Remove PYTHONPATH, python-vtk bug #529961 fixed now

 -- Varun Hiremath <varun@debian.org>  Fri, 05 Feb 2010 23:49:39 -0500

mayavi2 (3.3.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: Add ipython to Suggests
  * debian/rules: fix build process by adding a workaround for
    m2_about.jpg image created before build
  * Add patches/build_doc.diff to fix documentation generation

 -- Varun Hiremath <varun@debian.org>  Tue, 21 Jul 2009 23:53:52 -0400

mayavi2 (3.2.0-3) unstable; urgency=low

  * Create symlinks to html docs in /usr/share/doc (Closes: #534496)

 -- Varun Hiremath <varun@debian.org>  Wed, 24 Jun 2009 22:31:48 -0400

mayavi2 (3.2.0-2) unstable; urgency=low

  [ Marco Rodrigues ]
  * Bump Standards-Version to 3.8.1 (no changes).
  * debian/control:
    + Change libvtk5 Depends to libvtk5.2 (Closes: #530476).
    + Remove version check in python-vtk at Depends.
  * Remove myself from Uploaders.

  [ Varun Hiremath ]
  * debian/rules: Reset PYTHONPATH as a temporary fix for bug in
    python-vtk #529961, which fixes FTBFS (Closes: #533946)
  * Add patches/manpage.diff to fix a lintian warning
  * Add patches/wxversion.diff to set the default wx version to 2.8
    (Closes: #478870)

 -- Varun Hiremath <varun@debian.org>  Wed, 24 Jun 2009 05:43:17 -0400

mayavi2 (3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Fri, 27 Mar 2009 04:34:55 -0400

mayavi2 (3.1.0-2) unstable; urgency=low

  * Add versioned depends on python-vtk (>= 5.2) and libvtk5 (>= 5.2)
  * Fixes version mismatch between tvtk and vtk (Closes: #519783)

 -- Varun Hiremath <varun@debian.org>  Mon, 16 Mar 2009 00:38:26 -0400

mayavi2 (3.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control: add python-setupdocs to Build-Depends

 -- Varun Hiremath <varun@debian.org>  Sun, 28 Dec 2008 22:17:30 -0500

mayavi2 (3.0.3-1) experimental; urgency=low

  [ Marco Rodrigues ]
  * debian/control:
    + Fix Homepage field to the new URL.

  [ Varun Hiremath ]
  * New upstream release (Closes: #499580)
    + Fixes bugs (Closes: #481839, #489781, #487853)
  * Upstream source split into many sub-packages
  * debian/control: add python-envisagecore, python-envisageplugins,
    python-apptools, libjs-jquery, python-configobj to Depends
  * Switch to python-wxgtk2.8 (Closes: #477986)
  * Update debian/watch and debian/orig-tar.sh files
  * Clean up debian/rules file

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Varun Hiremath <varun@debian.org>  Sat, 06 Dec 2008 19:50:11 -0500

mayavi2 (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Remove all patches; merged upstream
  * Add manpage for tvtk_doc

 -- Varun Hiremath <varun@debian.org>  Sat, 12 Jul 2008 01:11:59 +0530

mayavi2 (2.1.1-5) unstable; urgency=low

  * Add ExtractVectorComponent.diff patch (Closes: #479448)
  * Add SelectOutputFilter.diff patch (Closes: #478359)
  * Bump Standards-Version to 3.8.0

 -- Varun Hiremath <varun@debian.org>  Sat, 21 Jun 2008 21:34:22 +0530

mayavi2 (2.1.1-3) unstable; urgency=low

  * Add plot3d_reader.diff patch from upstream, fixes issues with reading
    plot3d data files.

 -- Varun Hiremath <varun@debian.org>  Tue, 13 May 2008 17:58:35 +0530

mayavi2 (2.1.1-2) unstable; urgency=low

  * Change Build-Depends: python-central (>= 0.6.0) (Closes: #472032)
  * debian/rules: Switch to new directory structure of python-central

 -- Varun Hiremath <varun@debian.org>  Sun, 23 Mar 2008 11:11:49 +0530

mayavi2 (2.1.1-1) unstable; urgency=low

  * New upstream release

 -- Varun Hiremath <varun@debian.org>  Mon, 10 Mar 2008 13:19:01 +0530

mayavi2 (2.1.0-1) unstable; urgency=low

  * New upstream release
    + Fixes full screen segfaults (Closes: #464692)
  * debian/control:
    + Depends: replace python-setuptools with python-pkg-resources
    (Closes: #468729)

 -- Varun Hiremath <varun@debian.org>  Sat, 01 Mar 2008 21:27:07 +0530

mayavi2 (2.0.2a1-4) unstable; urgency=low

  * Add python-setuptools to Depends (Closes: #461057)

 -- Varun Hiremath <varun@debian.org>  Wed, 16 Jan 2008 17:37:04 +0530

mayavi2 (2.0.2a1-3) unstable; urgency=low

  * debian/control:
    + Add ${shlibs:Depends}, ${misc:Depends} to Depends
    + Add python-numpy, python-vtk to Depends
    + Move python-scipy to Suggests from Depends

 -- Varun Hiremath <varun@debian.org>  Mon, 14 Jan 2008 23:21:19 +0530

mayavi2 (2.0.2a1-2) unstable; urgency=low

  [ Varun Hiremath ]
  * Initial release (Closes: #453907)
  * debian/control:
    + Add myself to Uploaders
    + Depends: fix python-ets-traits, python-ets-traits-ui version
    + Remove version check from dependencies
    + Change section to science
  * debian/rules:
    + add clean target
    + fix executable permissions of some files
    + install using setup files.
  * Install upstream provided manpage.
  * Install examples and docs.
  * Add debain/orig-tar.sh to create orig.tar.gz
  * Update debian/copyright file
  * Add debian/README.Debian-source file
  * Add mayavi2 menu file



=== debian/control ===
Source: mayavi2
Section: science
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>
Build-Depends: cdbs, debhelper (>= 7), python-all-dev, python-central (>= 0.6.0),
 python-setuptools, python-setupdocs, python-vtk, python-numpy
Standards-Version: 3.8.4
XS-Python-Version: current
Homepage: http://code.enthought.com/projects/mayavi/
Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mayavi2/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mayavi2/trunk/

Package: mayavi2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python-traits, python-traitsgui, python-wxgtk2.8, python-numpy,
 python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisagecore,
 python-envisageplugins, python-apptools, libjs-jquery,
 python-configobj, libvtk5.4
Suggests: python-scipy, ipython
XB-Python-Version: ${python:Versions}
Description: A scientific visualization package for 2-D and 3-D data
 MayaVi2 is a cross-platform tool for 2-D and 3-D scientific data
 visualization.  Its features include:
   * Visualization of scalar, vector and tensor data in 2 and 3 dimensions
   * Easy scriptability using Python
   * Easy extendability via custom sources, modules, and data filters
   * Reading several file formats: VTK (legacy and XML), PLOT3D, etc.
   * Saving of visualizations
   * Saving rendered visualization in a variety of image formats.
 .
 MayaVi2 has been designed with scriptability and extensibility in
 mind.  While the mayavi2 application is usable by itself, it may be
 used as an Envisage plugin which allows it to be embedded in user
 applications natively.  Alternatively, it may be used as a
 visualization engine for any application.
 .
 This package also provides TVTK, which wraps VTK objects to provide a
 convenient, Pythonic API, while supporting Traits attributes and
 NumPy/SciPy arrays. TVTK is implemented mostly in pure Python, except
 for a small extension module.

=== debian/rules ===
#!/usr/bin/make -f

DEB_PYTHON_SYSTEM=pycentral

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

DEB_COMPRESS_EXCLUDE		:= .py .vtu .vti .vtk .wrl .js .html
DEB_PYTHON_INSTALL_ARGS_ALL 	+= --single-version-externally-managed
PYSHARED			 = $(DEB_DESTDIR)`pycentral pycentraldir mayavi2`
JQUERY				 = /usr/share/javascript/jquery/jquery.js
HTMLDOCS                         = /usr/share/doc/mayavi2/html/

clean::
	rm ./enthought/mayavi/images/m2_about.jpg

post-patches::
	cp ./docs/source/mayavi/m2_about.jpg ./enthought/mayavi/images/
	mkdir -p docs/source/mayavi/auto
	cp -f docs/CHANGES.txt docs/source/mayavi/auto/changes.rst

install/mayavi2::
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name '*.idx' -delete

binary-post-install/mayavi2::
	find $(DEB_DESTDIR) -name 'jquery.js*' -delete

binary-predeb/mayavi2::
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/mayavi2.man*
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/html.zip
	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete
	dh_link $(JQUERY) `pycentral pycentraldir mayavi2`/enthought/mayavi/html/_static/jquery.js
	dh_link $(JQUERY) `pycentral pycentraldir mayavi2`/enthought/tvtk/html/_static/jquery.js
	dh_link $(JQUERY) `pycentral pycentraldir mayavi2`/enthought/docs/html/mayavi/_static/jquery.js
	dh_link $(JQUERY) `pycentral pycentraldir mayavi2`/enthought/docs/html/tvtk/_static/jquery.js
	chmod +x $(PYSHARED)/enthought/mayavi/scripts/mayavi2.py
	chmod -x $(PYSHARED)/enthought/mayavi/tests/data/cellsnd.ascii.inp
	dh_link `pycentral pycentraldir mayavi2`/enthought/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
	# create symlinks for html docs
	mkdir $(DEB_DESTDIR)/$(HTMLDOCS)
	dh_link `pycentral pycentraldir mayavi2`/enthought/mayavi/html/ $(HTMLDOCS)/mayavi2
	dh_link `pycentral pycentraldir mayavi2`/enthought/tvtk/html/ $(HTMLDOCS)/tvtk

get-orig-source:
	-uscan --force-download --rename

## mayavi2 3.4.0

=== debian/changelog ===
mayavi2 (3.4.0-1) experimental; urgency=low

  * New upstream release
    - Fixes Python string exceptions (Closes: #528392)
  * d/copyright: Fix BSD license references

 -- Varun Hiremath <varun@debian.org>  Sun, 17 Oct 2010 22:39:47 -0400

mayavi2 (3.3.2-3) unstable; urgency=low

  * Build-Depend on versioned python-numpy (>= 1:1.4.1-4~).
    Fixes FTBFS (Closes: #590944)

 -- Varun Hiremath <varun@debian.org>  Fri, 30 Jul 2010 11:48:45 -0400

mayavi2 (3.3.2-2) unstable; urgency=low

  * debian/rules: Add call to dh_numpy to generate stricter versioned
    depends on python-numpy (Closes: #590750)
  * Bump Standards-Version to 3.9.1

 -- Varun Hiremath <varun@debian.org>  Thu, 29 Jul 2010 22:04:27 -0400

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), python-all-dev, python-central (>= 0.6.0),
- python-setuptools, python-setupdocs, python-vtk, python-numpy
-Standards-Version: 3.8.4
+ python-setuptools, python-setupdocs, python-vtk, python-numpy (>= 1:1.4.1-4~)
+Standards-Version: 3.9.1
 XS-Python-Version: current
 Homepage: http://code.enthought.com/projects/mayavi/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mayavi2/trunk

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,10 @@
 	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
 	find $(DEB_DESTDIR) -name '*.idx' -delete
 
+
+binary-install/mayavi2::
+	dh_numpy
+
 binary-post-install/mayavi2::
 	find $(DEB_DESTDIR) -name 'jquery.js*' -delete

## mayavi2 4.0.0

=== debian/changelog ===
mayavi2 (4.0.0-1ubuntu1) oneiric; urgency=low

  * Fix FTBFS, build for python2.7 only. LP: #831224.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Sep 2011 13:27:49 +0200

mayavi2 (4.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.9.2
    - Set X-Python-Version: 2.6, fixes FTBFS (Closes: #625148)
    - Update Depends
  * Update debian/watch file
  * Cleanup debian/rules file

 -- Varun Hiremath <varun@debian.org>  Sat, 09 Jul 2011 01:18:36 -0400

mayavi2 (3.4.1-1) unstable; urgency=low

  * New upstream release
  * Convert to dh_python2 (Closes: #616884)
  * Convert from cdbs to debhelper

 -- Varun Hiremath <varun@debian.org>  Wed, 06 Apr 2011 22:14:48 -0400

mayavi2 (3.4.0-2) unstable; urgency=low

  * d/control: remove dependency on libvtk* (Closes: #618666)

 -- Varun Hiremath <varun@debian.org>  Sun, 03 Apr 2011 13:09:39 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), python-all-dev, python-central (>= 0.6.0),
+Build-Depends: debhelper (>= 7.0.50~), python-dev (>= 2.6.6-3~), 
  python-setuptools, python-setupdocs, python-vtk, python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.1
-XS-Python-Version: current
+Standards-Version: 3.9.2
+X-Python-Version: 2.7
 Homepage: http://code.enthought.com/projects/mayavi/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mayavi2/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mayavi2/trunk/
@@ -14,13 +14,11 @@
 Package: mayavi2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-traits, python-traitsgui, python-wxgtk2.8, python-numpy,
- python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisagecore,
- python-envisageplugins, python-apptools, libjs-jquery,
- python-configobj, libvtk5.4
+ python-traits, python-traitsui, python-wxgtk2.8, python-numpy,
+ python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisage,
+ python-apptools, libjs-jquery, python-configobj
 Suggests: python-scipy, ipython
-XB-Python-Version: ${python:Versions}
-Description: A scientific visualization package for 2-D and 3-D data
+Description: scientific visualization package for 2-D and 3-D data
  MayaVi2 is a cross-platform tool for 2-D and 3-D scientific data
  visualization.  Its features include:
    * Visualization of scalar, vector and tensor data in 2 and 3 dimensions

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR			 = $(CURDIR)/debian/mayavi2/
PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
JQUERY				 = /usr/share/javascript/jquery/jquery.js
HTMLDOCS                         = /usr/share/doc/mayavi2/html/

%:
	dh --with python2 $@

override_dh_clean:
	dh_clean
	rm -rf ./mayavi/images/m2_about.jpg

override_dh_install:
	dh_install
	dh_numpy
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name '*.idx' -delete
	find $(DEB_DESTDIR) -name 'jquery.js*' -delete
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/mayavi2.man*
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/html.zip
	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete

override_dh_installdeb:
	dh_installdeb
	chmod +x $(PYSHARED)/mayavi/scripts/mayavi2.py
	chmod -x $(PYSHARED)/mayavi/tests/data/cellsnd.ascii.inp
	dh_link /usr/share/pyshared/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
	# create symlinks for html docs
	mkdir $(DEB_DESTDIR)/$(HTMLDOCS)
	dh_link /usr/share/pyshared/mayavi/html/ $(HTMLDOCS)/mayavi2
	dh_link /usr/share/pyshared/tvtk/html/ $(HTMLDOCS)/tvtk

get-orig-source:
	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://www.enthought.com/repo/ets/mayavi-(.*).tar.gz \
debian debian/orig-tar.sh

## mayavi2 4.1.0

=== debian/changelog ===
mayavi2 (4.1.0-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.3

 -- Varun Hiremath <varun@debian.org>  Mon, 23 Apr 2012 16:36:45 -0400

mayavi2 (4.0.0-3) unstable; urgency=low

  * d/control: Add version depends on python-apptools (Closes: #633992)
  * d/rules: Remove extraneous directories from installing (Closes: #649906)
  * Add patches/ipython.diff to updated docs to IPython 0.11 (Closes: #636465)
  * Add patches/help.diff to fix mayavi2 html documentation directory

 -- Varun Hiremath <varun@debian.org>  Thu, 08 Dec 2011 20:40:04 -0500

mayavi2 (4.0.0-2) unstable; urgency=low

  * Team upload
  * Boosted X-Python-Version to 2.7 to avoid FTBFS and "fails to install"
    on wheezy and sid which have python 2.7 as the default now and
    python-vtk providing bindings only for 2.7 (Closes: #645136)

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 12 Oct 2011 23:22:50 -0400

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-dev (>= 2.6.6-3~), 
+Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-vtk, python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: 2.7
 Homepage: http://code.enthought.com/projects/mayavi/
 Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mayavi2/trunk
@@ -16,7 +16,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-traits, python-traitsui, python-wxgtk2.8, python-numpy,
  python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisage,
- python-apptools, libjs-jquery, python-configobj
+ python-apptools (>= 4.0.0-1), libjs-jquery, python-configobj
 Suggests: python-scipy, ipython
 Description: scientific visualization package for 2-D and 3-D data
  MayaVi2 is a cross-platform tool for 2-D and 3-D scientific data

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
 JQUERY				 = /usr/share/javascript/jquery/jquery.js
 HTMLDOCS                         = /usr/share/doc/mayavi2/html/
+PYVERS                           = $(shell pyversions -r -v)
 
 %:
 	dh --with python2 $@
@@ -23,14 +24,19 @@
 	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete
 
 override_dh_installdeb:
+	# remove extraneous directories
+	rm -rf $(PYSHARED)/examples
+	rm -rf $(PYSHARED)/docs
+	rm -rf $(PYSHARED)/integrationtests
+	for py in $(PYVERS); do\
+		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/examples;\
+		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/docs;\
+		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/integrationtests;\
+	done
 	dh_installdeb
 	chmod +x $(PYSHARED)/mayavi/scripts/mayavi2.py
 	chmod -x $(PYSHARED)/mayavi/tests/data/cellsnd.ascii.inp
 	dh_link /usr/share/pyshared/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
-	# create symlinks for html docs
-	mkdir $(DEB_DESTDIR)/$(HTMLDOCS)
-	dh_link /usr/share/pyshared/mayavi/html/ $(HTMLDOCS)/mayavi2
-	dh_link /usr/share/pyshared/tvtk/html/ $(HTMLDOCS)/tvtk
 
 get-orig-source:
 	-uscan --force-download --rename

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.python.org/pypi/mayavi .*mayavi-(.*).tar.gz \
debian debian/orig-tar.sh

## mayavi2 4.3.1

=== debian/changelog ===
mayavi2 (4.3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Update for wxpython3.0 (Closes: #758939):
    + New patch: wxpy3.0-compat.patch

 -- Olly Betts <olly@survex.com>  Tue, 07 Oct 2014 06:40:35 +0000

mayavi2 (4.3.1-3) unstable; urgency=medium

  * d/rules: remove references to pyshared (Closes: #746762)

 -- Varun Hiremath <varun@debian.org>  Tue, 17 Jun 2014 02:37:52 -0400

mayavi2 (4.3.1-2) unstable; urgency=low

  [ Varun Hiremath ]
  * New upstream release
  * d/rules: Add missing jquery.js links (Closes: #678051)
  * Bump Standards-Version to 3.9.5

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Varun Hiremath <varun@debian.org>  Sun, 16 Mar 2014 00:01:01 -0400

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,16 @@
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~),
  python-setuptools, python-setupdocs, python-vtk, python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 X-Python-Version: 2.7
 Homepage: http://code.enthought.com/projects/mayavi/
-Vcs-Svn: svn://svn.debian.org/svn/python-apps/packages/mayavi2/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/mayavi2/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mayavi2/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mayavi2/trunk/
 
 Package: mayavi2
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-traits, python-traitsui, python-wxgtk2.8, python-numpy,
+ python-traits, python-traitsui, python-wxgtk3.0, python-numpy,
  python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisage,
  python-apptools (>= 4.0.0-1), libjs-jquery, python-configobj
 Suggests: python-scipy, ipython

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 DEB_DESTDIR			 = $(CURDIR)/debian/mayavi2/
-PYSHARED			 = $(DEB_DESTDIR)/usr/share/pyshared
 JQUERY				 = /usr/share/javascript/jquery/jquery.js
 HTMLDOCS                         = /usr/share/doc/mayavi2/html/
 PYVERS                           = $(shell pyversions -r -v)
+PYINSTALL			 = /usr/lib/python2.7/dist-packages/
 
 %:
 	dh --with python2 $@
@@ -25,18 +25,17 @@
 
 override_dh_installdeb:
 	# remove extraneous directories
-	rm -rf $(PYSHARED)/examples
-	rm -rf $(PYSHARED)/docs
-	rm -rf $(PYSHARED)/integrationtests
 	for py in $(PYVERS); do\
 		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/examples;\
 		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/docs;\
 		rm -rf $(DEB_DESTDIR)/usr/lib/python$$py/dist-packages/integrationtests;\
 	done
 	dh_installdeb
-	chmod +x $(PYSHARED)/mayavi/scripts/mayavi2.py
-	chmod -x $(PYSHARED)/mayavi/tests/data/cellsnd.ascii.inp
-	dh_link /usr/share/pyshared/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
+	chmod +x $(DEB_DESTDIR)/$(PYINSTALL)/mayavi/scripts/mayavi2.py
+	chmod -x $(DEB_DESTDIR)/$(PYINSTALL)/mayavi/tests/data/cellsnd.ascii.inp
+	dh_link $(PYINSTALL)/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
+	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/mayavi/html/jquery.js
+	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/tvtk/html/jquery.js
 
 get-orig-source:
 	-uscan --force-download --rename

## mayavi2 4.4.3

=== debian/changelog ===
mayavi2 (4.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace void_p by p_void in wxVTKRenderWindowInteractor. (Closes: #812641)

 -- Anton Gladky <gladk@debian.org>  Sat, 30 Jan 2016 16:59:03 +0100

mayavi2 (4.4.3-2) unstable; urgency=medium

  * Add the missing changes from Olly Betts NMU (4.3.1-3.1)
  * d/control: Add dh-python to BD

 -- Varun Hiremath <varun@debian.org>  Fri, 16 Oct 2015 18:39:34 -0400

mayavi2 (4.4.3-1) unstable; urgency=medium

  * New upstream release (Closes: #784839)
  * Bump Standards-Version to 3.9.6
  * d/control: BD on python-vtk6 (Closes: #798169)
  * Fix d/watch file

 -- Varun Hiremath <varun@debian.org>  Mon, 12 Oct 2015 21:52:54 -0400

mayavi2 (4.3.1-4) unstable; urgency=medium

  * Add a patch to fix python interpreter (Closes: #785627)

 -- Varun Hiremath <varun@debian.org>  Tue, 26 May 2015 10:08:07 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all-dev (>= 2.6.6-3~),
- python-setuptools, python-setupdocs, python-vtk, python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.5
-X-Python-Version: 2.7
+Build-Depends: debhelper (>= 7.0.50~), dh-python, python-all-dev (>= 2.6.6-3~),
+ python-setuptools, python-setupdocs, python-vtk6, python-numpy (>= 1:1.4.1-4~)
+Standards-Version: 3.9.6
+X-Python-Version: >= 2.6
 Homepage: http://code.enthought.com/projects/mayavi/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mayavi2/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mayavi2/trunk/
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
  python-traits, python-traitsui, python-wxgtk3.0, python-numpy,
- python-vtk (>= 5.4.2-5), python-pkg-resources, python-envisage,
+ python-vtk6, python-pkg-resources, python-envisage,
  python-apptools (>= 4.0.0-1), libjs-jquery, python-configobj
 Suggests: python-scipy, ipython
 Description: scientific visualization package for 2-D and 3-D data

=== debian/rules ===
--- 
+++ 
@@ -37,5 +37,8 @@
 	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/mayavi/html/jquery.js
 	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/tvtk/html/jquery.js
 
+override_dh_strip_nondeterminism:
+	dh_strip_nondeterminism -Xpng
+
 get-orig-source:
-	-uscan --force-download --rename
+	-uscan --force-download --repack --rename

## mayavi2 4.5.0

=== debian/changelog ===
mayavi2 (4.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #835144)
  * Add p/tvtk_setup.diff (Closes: #839802, #839872)

 -- Varun Hiremath <varun@debian.org>  Wed, 26 Oct 2016 23:07:22 -0400

mayavi2 (4.4.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix compilation against vtk_6.3. (Closes: #830342)
  * Add dh-strip-nondeterminism to build-depends.

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Aug 2016 21:14:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), dh-python, python-all-dev (>= 2.6.6-3~),
- python-setuptools, python-setupdocs, python-vtk6, python-numpy (>= 1:1.4.1-4~)
+ python-setuptools, python-setupdocs, python-vtk6, python-numpy (>= 1:1.4.1-4~),
+ dh-strip-nondeterminism
 Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 Homepage: http://code.enthought.com/projects/mayavi/

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,7 @@
 	find $(DEB_DESTDIR) -name 'jquery.js*' -delete
 	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/mayavi2.man*
 	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/html.zip
+	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/source/mayavi/sphinxext/sphinxext/__init__.pyc
 	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete
 
 override_dh_installdeb:

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
http://pypi.debian.net/mayavi/mayavi-(.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/orig-tar.sh

## mayavi2 4.7.1

=== requirements.txt ===
apptools
envisage
numpy
pyface>=6.0.0
pygments
Sphinx
traits>=4.6.0
traitsui>=6.0.0
vtk

=== docs/Makefile ===
--- 
+++ 
@@ -73,9 +73,9 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/metasci.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/mayavi/qthelp/mayavi.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/metasci.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/mayavi/qthelp/mayavi.qhc"
 
 latex:
 	make -f MakefileMayavi latex

=== debian/changelog ===
mayavi2 (4.7.1-2) unstable; urgency=medium

  * Team upload.
  * Preload libgomp to fix FTFBS on arm64/ppc64el (Closes: #935285)

 -- Scott Talbert <swt@techie.net>  Wed, 01 Jan 2020 17:55:58 -0500

mayavi2 (4.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * d/control: Remove ancient X-Python-Version field
  * Remove debian/pycompat, it's not used by any modern Python helper
  * Bump Standards-Version to 4.4.1.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * DEP3 headers
  * Update to 4.7.1 and switch to Python3 (Closes: #934264, #936996)
  * Remove trailing whitespace in debian/copyright
  * Set upstream metadata fields: Name, Repository, Repository-Browse.
  * Remove unnecessary get-orig-source-target.
  * Build-Depends: python3-trait, python3-traitsui, python3-mock
  * Build time test errors are ignored
  * d/rules: s/dh_numpy/dh_numpy3/

  [ Scott Talbert ]
  * Update & sort Build-Depends and Depends
  * Fix SyntaxWarning during package installation
  * Fix executable permissions on files
  * Remove vtk from requirements due to missing pkg_resources metadata
  * Remove duplicated changelog file
  * Replace minified x3dom.js with unminified version
  * Continue work to get tests working

 -- Scott Talbert <swt@techie.net>  Tue, 31 Dec 2019 22:30:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,47 @@
 Source: mayavi2
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Varun Hiremath <varun@debian.org>
 Section: science
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), dh-python, python-all-dev (>= 2.6.6-3~),
- python-setuptools, python-setupdocs, python-vtk6, python-numpy (>= 1:1.4.1-4~),
- dh-strip-nondeterminism
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
+               dh-strip-nondeterminism,
+               python3-apptools,
+               python3-dev,
+               python3-envisage,
+               python3-mock,
+               python3-numpy,
+               python3-pyface,
+               python3-pygments,
+               python3-setuptools,
+               python3-traits,
+               python3-traitsui,
+               python3-vtk7,
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/python-team/applications/mayavi2
+Vcs-Git: https://salsa.debian.org/python-team/applications/mayavi2.git
 Homepage: http://code.enthought.com/projects/mayavi/
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/mayavi2/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/mayavi2/trunk/
 
 Package: mayavi2
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- python-traits, python-traitsui, python-wxgtk3.0, python-numpy,
- python-vtk6, python-pkg-resources, python-envisage,
- python-apptools (>= 4.0.0-1), libjs-jquery, python-configobj
-Suggests: python-scipy, ipython
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${python3:Depends},
+         libjs-jquery,
+         python3-apptools,
+         python3-configobj,
+         python3-envisage,
+         python3-numpy,
+         python3-pkg-resources,
+         python3-pyface,
+         python3-pygments,
+         python3-traits,
+         python3-traitsui,
+         python3-vtk7,
+Suggests: python3-scipy,
+          ipython3
 Description: scientific visualization package for 2-D and 3-D data
  MayaVi2 is a cross-platform tool for 2-D and 3-D scientific data
  visualization.  Its features include:

=== debian/watch ===
version=3
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.debian.net/mayavi/mayavi-(.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/orig-tar.sh

## mayavi2 4.8.0

=== debian/changelog ===
mayavi2 (4.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.

  [ Étienne Mollier ]
  * d/control: build depends on cython3.
  * d/rules: refresh cythonized .c files from .pyx. (Closes: #1028008)
  * d/rules: add fixme item about ignored test results.

 -- Étienne Mollier <emollier@debian.org>  Sun, 15 Jan 2023 16:17:00 +0100

mayavi2 (4.8.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: python3-vtk7 -> python3-vtk9 (Closes: #1016599)

 -- Adrian Bunk <bunk@debian.org>  Fri, 14 Oct 2022 22:16:53 +0300

mayavi2 (4.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #997856)
  * Remove debian/orig-tar.sh - no longer used

 -- Varun Hiremath <varun@debian.org>  Fri, 22 Jul 2022 22:27:58 -0700

mayavi2 (4.7.4-2) unstable; urgency=medium

  * Team upload.
  * Set versioned Depends on traits and traitsui
  * This upstream version
    Closes: #677421
  * Fix clean target to work into the direction of fixing bug #671343
    but give up when upstream is doing automatic changes in the changes
    file provided with the docs

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 21:20:08 +0100

mayavi2 (4.7.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * No tab in license text (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * watch file standard 4 (routine-update)
  * Use xvfb in dh_auto_{build,install}

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 20:46:09 +0100

mayavi2 (4.7.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 15 Sep 2021 22:37:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: mayavi2
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                dh-strip-nondeterminism,
+               cython3,
                python3-apptools,
                python3-dev,
                python3-envisage,
@@ -14,15 +15,16 @@
                python3-pyface,
                python3-pygments,
                python3-setuptools,
-               python3-traits,
-               python3-traitsui,
-               python3-vtk7,
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
-Standards-Version: 4.4.1
-Vcs-Browser: https://salsa.debian.org/python-team/applications/mayavi2
-Vcs-Git: https://salsa.debian.org/python-team/applications/mayavi2.git
+               python3-traits (>= 6.3.2) <!nocheck>,
+               python3-traitsui (>= 7.2.1) <!nocheck>,
+               python3-vtk9,
+               xauth,
+               xvfb,
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mayavi2
+Vcs-Git: https://salsa.debian.org/python-team/packages/mayavi2.git
 Homepage: http://code.enthought.com/projects/mayavi/
+Rules-Requires-Root: no
 
 Package: mayavi2
 Architecture: any
@@ -37,9 +39,9 @@
          python3-pkg-resources,
          python3-pyface,
          python3-pygments,
-         python3-traits,
-         python3-traitsui,
-         python3-vtk7,
+         python3-traits (>= 6.3.2),
+         python3-traitsui (>= 7.2.1),
+         python3-vtk9,
 Suggests: python3-scipy,
           ipython3
 Description: scientific visualization package for 2-D and 3-D data

=== debian/rules ===
#!/usr/bin/make -f

DEB_DESTDIR			 = $(CURDIR)/debian/mayavi2/
JQUERY				 = /usr/share/javascript/jquery/jquery.js
HTMLDOCS                         = /usr/share/doc/mayavi2/html/
PYVERS                           = $(shell pyversions -r -v)
PY3INSTALL			 = /usr/lib/python3/dist-packages/
export PYBUILD_BEFORE_TEST=cp tvtk/tvtk_classes.zip {build_dir}/tvtk/; cp mayavi/preferences/preferences.ini {build_dir}/mayavi/preferences/; cp tvtk/plugins/scene/preferences.ini {build_dir}/tvtk/plugins/scene/; cp -r mayavi/tests/csv_files {build_dir}/mayavi/tests/; cp -r mayavi/tests/data {build_dir}/mayavi/tests/; cp mayavi/core/lut/pylab_luts.pkl {build_dir}/mayavi/core/lut/
export PYBUILD_AFTER_TEST=rm {build_dir}/tvtk/tvtk_classes.zip; rm {build_dir}/mayavi/preferences/preferences.ini; rm {build_dir}/tvtk/plugins/scene/preferences.ini; rm -r {build_dir}/mayavi/tests/csv_files; rm -r {build_dir}/mayavi/tests/data; rm {build_dir}/mayavi/core/lut/pylab_luts.pkl

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf tvtk/tvtk_classes.zip
	rm -rf docs/build

override_dh_auto_build:
	find $(CURDIR)/* -name '*.pyx' -exec cython3 '{}' ';'
	LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_build

override_dh_auto_install:
	LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_install

override_dh_install:
	dh_install
	dh_numpy3
	find $(DEB_DESTDIR) -name 'image_LICENSE.txt' -delete
	find $(DEB_DESTDIR) -name '*.idx' -delete
	find $(DEB_DESTDIR) -name 'jquery.js*' -delete
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/mayavi2.man*
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/html.zip
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/source/mayavi/sphinxext/sphinxext/__init__.pyc
	find  $(DEB_DESTDIR)usr/share/doc -name "*LICENSE*" -delete
	$(RM) $(DEB_DESTDIR)usr/share/doc/mayavi2/docs/CHANGES.txt*

override_dh_installdeb:
	dh_installdeb
	chmod +x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/scripts/mayavi2.py
	chmod -x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/tests/data/cellsnd.ascii.inp
	chmod -x $(DEB_DESTDIR)/$(PY3INSTALL)/mayavi/tests/data/disk_out_ref.ex2

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	LD_PRELOAD=libgomp.so.1 xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" dh_auto_test || true
	# FIXME: test results should really not be ignored.
endif

override_dh_link:
	dh_link
	dh_link $(PY3INSTALL)/mayavi/scripts/mayavi2.py /usr/bin/mayavi2
	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/mayavi/html/jquery.js
	dh_link $(JQUERY) /usr/share/doc/mayavi2/docs/build/tvtk/html/jquery.js

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xpng

=== debian/watch ===
version=4
opts="uversionmangle=s/([ab])/~$1/,dversionmangle=s/\+.*//" \
https://pypi.debian.net/mayavi/mayavi-(.*).(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz)) \
debian debian/orig-tar.sh

## mayavi2 4.8.1

=== debian/changelog ===
mayavi2 (4.8.1-3build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:47:01 +0000

mayavi2 (4.8.1-3) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Switch to cython3-legacy.
    Closes: #1056816

  [ Andreas Tille ]
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Jan 2024 14:36:44 +0100

mayavi2 (4.8.1-2) unstable; urgency=medium

  * Team upload.
  * traitsui-8.patch: fix missing traitsui.qt4.editor. (Closes: #1058790)

 -- Étienne Mollier <emollier@debian.org>  Sat, 16 Dec 2023 12:25:27 +0100

mayavi2 (4.8.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Oct 2023 08:39:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                dh-strip-nondeterminism,
-               cython3,
+               cython3-legacy,
                python3-apptools,
                python3-dev,
                python3-envisage,
@@ -20,7 +20,7 @@
                python3-vtk9,
                xauth,
                xvfb,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mayavi2
 Vcs-Git: https://salsa.debian.org/python-team/packages/mayavi2.git
 Homepage: http://code.enthought.com/projects/mayavi/

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_AFTER_TEST=rm {build_dir}/tvtk/tvtk_classes.zip; rm {build_dir}/mayavi/preferences/preferences.ini; rm {build_dir}/tvtk/plugins/scene/preferences.ini; rm -r {build_dir}/mayavi/tests/csv_files; rm -r {build_dir}/mayavi/tests/data; rm {build_dir}/mayavi/core/lut/pylab_luts.pkl
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_clean:
 	dh_clean
